org.eclipse.gef

## Class SharedImages

- java.lang.Object
- - org.eclipse.gef.SharedImages

    public class SharedImages
    extends java.lang.Object

A class containing shared Images and ImageDescriptors for use by clients.

Since:
  2.1

### Field Summary

Fields
`static ImageDescriptor` `DESC_MARQUEE_TOOL_16` A 16x16 icon representing the Marquee Tool (nodes and connections)
`static ImageDescriptor` `DESC_MARQUEE_TOOL_24` A 24x24 icon representing the Marquee Tool (nodes and connections)
`static ImageDescriptor` `DESC_MARQUEE_TOOL_CONNECTIONS_16` A 16x16 icon representing the Marquee Tool (connections only)
`static ImageDescriptor` `DESC_MARQUEE_TOOL_CONNECTIONS_24` A 24x24 icon representing the Marquee Tool (connections only).
`static ImageDescriptor` `DESC_MARQUEE_TOOL_NODES_16` A 16x16 icon representing the Marquee Tool (nodes only)
`static ImageDescriptor` `DESC_MARQUEE_TOOL_NODES_24` A 24x24 icon representing the Marquee Tool (nodes only).
`static ImageDescriptor` `DESC_SELECTION_TOOL_16` A 16x16 icon representing the Selection Tool
`static ImageDescriptor` `DESC_SELECTION_TOOL_24` A 24x24 icon representing the Selection Tool

### Constructor Summary

Constructors
Constructor and Description
`SharedImages()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DESC_SELECTION_TOOL_16

    public static final ImageDescriptor DESC_SELECTION_TOOL_16

A 16x16 icon representing the Selection Tool

#### DESC_SELECTION_TOOL_24

    public static final ImageDescriptor DESC_SELECTION_TOOL_24

A 24x24 icon representing the Selection Tool

#### DESC_MARQUEE_TOOL_16

    public static final ImageDescriptor DESC_MARQUEE_TOOL_16

A 16x16 icon representing the Marquee Tool (nodes and connections)

#### DESC_MARQUEE_TOOL_24

    public static final ImageDescriptor DESC_MARQUEE_TOOL_24

A 24x24 icon representing the Marquee Tool (nodes and connections)

#### DESC_MARQUEE_TOOL_NODES_16

    public static final ImageDescriptor DESC_MARQUEE_TOOL_NODES_16

A 16x16 icon representing the Marquee Tool (nodes only)

Since:
  3.7

#### DESC_MARQUEE_TOOL_NODES_24

    public static final ImageDescriptor DESC_MARQUEE_TOOL_NODES_24

A 24x24 icon representing the Marquee Tool (nodes only).

Since:
  3.7

#### DESC_MARQUEE_TOOL_CONNECTIONS_16

    public static final ImageDescriptor DESC_MARQUEE_TOOL_CONNECTIONS_16

A 16x16 icon representing the Marquee Tool (connections only)

Since:
  3.7

#### DESC_MARQUEE_TOOL_CONNECTIONS_24

    public static final ImageDescriptor DESC_MARQUEE_TOOL_CONNECTIONS_24

A 24x24 icon representing the Marquee Tool (connections only).

Since:
  3.7

### Constructor Detail

#### SharedImages

    public SharedImages()